Session journey - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with the list of events that occurred during an analytics session.

Possible events returned by the Session journey web service are the following:

Method Endpoint
POST
/analytics/api/v1/traffic/session/events

Request example

The following example shows a JSON request body for this web service:

{
  "analyticsSessionId": "0ee4bd2e-ad94-4184-8a58-a2e5859a15b2",
  "paging": {
    "page": 1,
    "perPage": 50
  }
}
Field Type Required? Description
analyticsSessionId String Yes The unique identifier representing the requested analytics session.
Get an analyticsSessionId using the Session list web service.
paging Object No An object that contains page and perPage.
page Number No Indicates the current page, the default value is 1.
perPage Number No The number of results per page, the default value is 10.

Response body

The following example shows a JSON response body for this web service:

{
    "analyticsSessionId": "9d34ad6c-1f4f-41c8-9z09-7f09ac6bfdbu",
    "results": [
        {
            "name": "page.display",
            "datetime": 1776431630,
            "userId": "1c1d764a-51b6-422a-90kd-y1345daaff73",
            "language": "en-US",
            "contentLocale": "en-US",
            "offline": false,
            "parameters": {
                "display": {
                    "width": 1677,
                    "height": 839
                },
                "origin": {
                    "type": "unknown",
                    "url": "",
                    "pageType": "unknown"
                },
                "page": {
                    "id": "248f220c-e9de-434d-8256-3fd0fc373792",
                    "type": "designedHomePage",
                    "url": "/",
                    "name": "Homepage Revamp",
                    "language": "en-US"
                }
            },
            "bot": false,
            "link": ""
        },
        {
            "name": "khub.search",
            "datetime": 1776431630,
            "userId": "1c1d764a-51b6-422a-90kd-y1345daaff73",
            "language": "en-US",
            "contentLocale": "en-US",
            "offline": false,
            "parameters": {
                "searchQuery": {
                    "terms": "",
                    "facets": [],
                    "searchType": "EVERYWHERE"
                },
                "searchResponse": {
                    "autocorrect": false,
                    "nbResults": 20
                }
            },
            "bot": false,
            "link": ""
        },
        {
            "name": "page.display",
            "datetime": 1776431664,
            "userId": "1c1d764a-51b6-422a-90kd-y1345daaff73",
            "language": "en-US",
            "contentLocale": "en-US",
            "offline": false,
            "parameters": {
                "display": {
                    "width": 1677,
                    "height": 839
                },
                "origin": {
                    "type": "unknown",
                    "url": "",
                    "pageType": "unknown"
                },
                "page": {
                    "id": "248f220c-e9de-434d-8256-3fd0fc373792",
                    "type": "designedHomePage",
                    "url": "/",
                    "name": "Homepage Revamp",
                    "language": "en-US"
                }
            },
            "bot": false,
            "link": ""
        }
    ],
    "paging": {
        "page": 1,
        "perPage": 50,
        "totalCount": 3,
        "lastPage": true
    }
}
Field Type Description
analyticsSessionId String The unique identifier representing the requested analytics session.
results Array An array containing the results.
name String The name of the recorded Analytics event.
datetime Integer The time and date for the start of the session, expressed as a UNIX timestamp.
userId String The user's ID.
language String The interface language configured for the user at the time of the event.
contentLocale String The content language configured for the portal at the time of the event.
offline Boolean true if the event was generated in Offline mode.
parameters Object Data collected by the event. It is specific to each event.
bot Boolean If at least one event during the session is identified as a bot, the bot field is true. Otherwise, it is false.
Bot detection relies on the User-Agent HTTP header. If the user agent associated to the user event belongs to the list of public crawlers and generic AI bots, then it is considered as coming from a bot.
link String Link to the element in Fluid Topics. Only available for events document.start_display, document.rate, topic.start_display, and topic.rate.
paging Object An element that contains the lastPage, page, perPage, and totalCount elements.
page Integer The current page of results.
perPage Integer The number of results per page.
totalCount Integer The total number of available results.
lastPage Boolean A boolean operator indicating whether the page is the last page of results.
Return code Description
200 OK Returns data in JSON format.